Type to search.

Set certificate based remote clusters

Auth

Overwrites or creates the list of certificate based remote clusters for the elasticsearch resource.

Path parameters

deployment_id string required

Identifier for the Deployment.

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Request body

List of certificate based remote clusters for the resource

resources object[] required

The remote resources

deployment_id string required

The id of the deployment

elasticsearch_ref_id string required

The locally-unique user-specified id of an Elasticsearch Resource

alias string required

The alias for this remote cluster. Aliases must only contain letters, digits, dashes and underscores

skip_unavailable boolean

If true, skip this cluster during search if it is disconnected. Default: false

Responses

The Remote Clusters were updated

application/json

Response Type: object